Subject: Re: bug#24089: 25.1; Dired: diff error on = <RET> if the file has a backup inside .~/

From: Jorge Peixoto de Morais Neto <[email-masked]>
Date: Fri, 29 Jul 2016 08:43:30 -0300

On Thu, 2016-07-28 at 18:05 +0300, Eli Zaretskii wrote:
> It seems dired-diff was not prepared to deal with the situation where
> the backup file is in another directory.  Does the patch below produce
> good results?
In my brief testing, the patch solves the problem only when = <RET> is invoked
with point at the original file.  If it is invoked with point at the backup
file (inside .~), a diff error still occurs.

-- 
• I am Brazilian.  I hope my English is correct and I welcome corrections.
• Please adopt free formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
• Free (as in free speech) software for Android: https://f-droid.org/